# Objet du script :
# Mesure les accélérations suivant 3 axes orthogonaux (en mg) toutes les demi secondes. 
# Allume ou éteint les LED de la carte selon les valeurs des accélérations
# Cet exemple nécessite un accéléromètre MEMS LIS2DW12 

from machine import I2C
import lis2dw12  # Pilote de l'accéléromètre
from time import sleep_ms # Pour temporiser

# On utilise l'I2C n°1 de la carte NUCLEO-WB55 pour communiquer avec le capteur
i2c = I2C(1)

# Pause d'une seconde pour laisser à l'I2C le temps de s'initialiser
sleep_ms(1000)

# Instanciation de l'accéléromètre
accelerometer = lis2dw12.LIS2DW12(i2c)

led_blue = pyb.LED(1)
led_green = pyb.LED(2)
led_red = pyb.LED(3)

while True:

	# Temporisation de 500 millisecondes
	sleep_ms(500)

	# Si la valeur absolue de l'accélération sur l'axe x est supérieure à 700 mg alors
	if abs(accelerometer.x()) > 700 :
		led_green.on()
		print("LED verte allumée")

	# Si la valeur absolue de l'accélération sur l'axe y est supérieure à 700 mg alors
	if abs(accelerometer.y()) > 700 :
		led_blue.on()
		print("LED bleue allumée")

	# Si la valeur absolue de l'accélération sur l'axe z est supérieure à 700 mg alors
	if abs(accelerometer.z()) > 700 :
		led_red.on()
		print("LED rouge allumée")

	# Eteint toutes les LED
	led_red.off()
	led_green.off()
	led_blue.off()