# Objet du script :
# Mesure de température toutes les cinq secondes.
# Allume ou éteint les LED de la carte selon les valeurs des températures, les affiche sur le port série
# Cet exemple nécessite un capteur MEMS de température STTS751.

from machine import I2C # Pilote du bus I2C
import stts751 # Pilote du capteur de température
from time import sleep_ms # Pour temporiser

# On utilise l'I2C n°1 de la carte NUCLEO-W55 pour communiquer avec le capteur
i2c = I2C(1)

# Pause d'une seconde pour laisser à l'I2C le temps de s'initialiser
sleep_ms(1000)

# Liste des adresses I2C des périphériques présents
print("Adresses I2C utilisées : " + str(i2c.scan()))

# Instance du capteur
sensor = stts751.STTS751(i2c)

# Instance des LED
led_blue = pyb.LED(1)
led_green = pyb.LED(2)
led_red = pyb.LED(3)

while True: # Boucle sans clause de sortie

	# Temporisation de cinq secondes
	sleep_ms(5000)
	
	# Mesure de la température
	temp = sensor.temperature()

	# Affichage de la température
	print("Température %.1f°C " %temp, end='')

	# Affichage du ressenti
	if temp > 25 :
		led_red.on()
		print("(Chaud)")
	elif temp > 18 and temp <= 25 :
		led_green.on()
		print("(Confortable)")
	else:
		led_blue.on()
		print("(Froid)")

	# On éteint les LED
	led_red.off()
	led_green.off()
	led_blue.off()
